Множественные уязвимости в Geeklog

Дата публикации:
06.06.2006
Всего просмотров:
1091
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2698
CVE-2006-2699
CVE-2006-2700
CVE-2006-2701
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие системных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Geeklog 1.x
Уязвимые версии: Geeklog 1.4.0sr2, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "loginname" и в некоторых полях при добавлении новости. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольные SQL команды в базе данных приложения. Удачная эксплуатация уязвимости возможна при выключенной опции "magic_quotes_gpc".

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "image" в сценарии getimage.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценарий в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует в сценарии getimage.php. Удаленный пользователь может получить данные об установочной директории приложения на сервере.

URL производителя: www.geeklog.net

Решение: Установите последнюю версию (1.4.0sr3 или 1.3.11sr6) с сайта производителя.

Ссылки: [KAPDA::#45] - geeklog multiple vulnerabilities
Geeklog 1.4.0sr3 and 1.3.11sr6

или введите имя

CAPTCHA